---
contextRoot: "/rap-ia2"
serviceLogFile: "/var/www/html/rap-ia2/logs/rap-service.log"
auditLogFile: "/var/www/html/rap-ia2/logs/rap-audit.log"
timeZone: "Europe/Rome"
logLevel: "DEBUG"
jwtIssuer: "sso.ia2.inaf.it"
contactEmail: "ia2@inaf.it"
contactLabel: "IA2 Team"
databaseConfig:
  dbtype: "MySQL"
  hostname: "localhost"
  port: 3306
  username: "rap"
  password: "XXXXXX"
  dbname: "rap"
authenticationMethods:
  eduGAIN:
  Google:
    id: "XXXXXX"
    secret: "XXXXXX"
    callback: "/auth/social/google"
  Facebook:
    id: "XXXXXX"
    secret: "XXXXXX"
    version: "v3.0"
    callback: "/auth/social/facebook/token"
  LinkedIn:
    id: "XXXXXX"
    secret: "XXXXXX"
    callback: "/auth/social/linkedin/token"
  X509:
  LocalIdP:
    url: "https://sso.ia2.inaf.it/Shibboleth.sso/Login?entityID=https://sso.ia2.inaf.it/idp/shibboleth&target=https://sso.ia2.inaf.it/rap-ia2-v2/auth/eduGAIN"
    logo: "img/ia2-logo-60x60.png"
    logoAlt: "IA2 logo"
    description: "Use the IA2 Logo to Login if you have an account provided by IA2 or self registered"
  OrcID:
    id: "XXXXXX"
    callback: "/auth/orcid"
    secret: "XXXXXX"
gms:
  id: "gms"
  joinEndpoint: "https://sso.ia2.inaf.it/gms/ws/jwt/join"
tokenIssuer:
  services:
  - id: fileserver
    label: File Server
    aud: [fileserver, rap]
    scope: "read:fileserver read:rap"
  lifespans: [1, 6, 12, 24]
clients:
  - label: "GMS Test (localhost)"
    id: gms
    secret: 2a97516c354b68848cdbd8f54a226a0a55b21ed138e207ad6c5cbb9c00aa5aea
    redirect: http://localhost:8082/gms/login
    scope: "openid email"
    home: http://localhost:8082/gms
    icon: 
    showInHome: true
    methods: [eduGAIN, Google, Facebook, LinkedIn, X.509, LocalIdP]
    jwks:
  - label: "Asiago Astrophysical Observatory (localhost)"
    id: aao-dev
    secret: 2a97516c354b68848cdbd8f54a226a0a55b21ed138e207ad6c5cbb9c00aa5aea
    redirect: http://localhost:8081/aao/login
    scope: "openid read:userspace write:userspace read:fileserver write:fileserver read:gms read:rap"
    home: http://localhost:8081/aao
    icon: asiago.gif
    showInHome: true
    methods: [eduGAIN, Google, Facebook, LinkedIn, X.509, LocalIdP]
    jwks: http://localhost:8081/aao/jwks
cliClients:
  - id: gms_cli
    secret: 2a97516c354b68848cdbd8f54a226a0a55b21ed138e207ad6c5cbb9c00aa5aea
    scope: "read:gms write:gms read:rap"
    audience: gms